%define module_name     ipw2100
%define module_version  1.2.2
%define module_release  alt2

%define kversion	2.6.18
%define krelease	alt12
%define flavour		std-pae


%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel/drivers/net/wireless

Summary: Linux %module_name - a Intel(R) PRO/Wireless 2100 Network Connection Driver module
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132626.12
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
Url: http://%module_name.sourceforge.net/

BuildRequires(pre): rpm-build-kernel

BuildRequires: kernel-headers-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease

Provides:       kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts:      kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts:      kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86 x86_64

Requires: firmware-%module_name

%description
This project was created by Intel to enable support for the Intel
PRO/Wireless 2100 Network Connection mini PCI adapter.

%prep
%__rm -rf kernel-source-%module_name-%module_version
%__tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make_build -C %_usrsrc/linux-%kversion-%flavour SUBDIRS=$PWD \
	    LINUXSRC=%_usrsrc/linux-%kversion-%flavour/ \
	    IEEE80211_INC=%_usrsrc/linux-%kversion-%flavour/include

%install
%__mkdir_p %buildroot/%module_dir
%__cp -a *.ko %buildroot/%module_dir

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Sun Feb 10 2008 Sergey Vlasov <vsu@altlinux.ru> 1.2.2-alt2.132626.12
- Build for kernel-image-std-pae-2.6.18-alt12.

* Tue Aug 07 2007 Dmitry V. Levin <ldv@altlinux.org> 1.2.2-alt2
- Raised module release number to fix package update.

* Sun Jul 08 2007 L.A. Kostis <lakostis@altlinux.ru> 1.2.2-alt1.1
- fix whitespaces.

* Mon Feb 05 2007 Alexey Shabalin <shaba@altlinux.ru> 1.2.2-alt1
- update 1.2.2

* Mon Jan 29 2007 Sergey Vlasov <vsu@altlinux.ru> 1.2.1-alt2
- Removed unneeded "Prereq: modutils".

* Wed May 17 2006 Alexey Shabalin <shaba@altlinux.ru> 1.2.1-alt1
- update 1.2.1

* Sun Dec 04 2005 Sergey Vlasov <vsu@altlinux.ru> 1.1.3-alt3
- Enable build for x86_64.

* Wed Nov 30 2005 Sergey Vlasov <vsu@altlinux.ru> 1.1.3-alt2
- Build with in-kernel ieee80211 subsystem (upgraded to the required version by
  the kernel-feat-net-ieee80211 patch).

* Wed Nov 02 2005 Alexey Shabalin <shaba@altlinux.ru> 1.1.3-alt1
- update 1.1.3
- remove patch ipw2100-1.1.2-ieee80211-1.0.3.patch

* Tue Jul 19 2005 Alexey Shabalin <shaba@altlinux.ru> 1.1.2-alt3
- Add patch ipw2100-1.1.2-ieee80211-1.0.3.patch for compile with ieee80211 v1.0.3

* Mon Jul 18 2005 Sergey Vlasov <vsu@altlinux.ru> 1.1.2-alt2
- Fixed BuildRequires.
- Fixed dependency on kernel-modules-ieee80211-%%flavour (version and release
  are taken from the version stamp file in kernel-headers-ieee80211-%%flavour).
- Use *.o files from kernel-headers-ieee80211-%%flavour to get proper symbol
  versioning.

* Thu Jul 14 2005 Alexey Shabalin <shaba@altlinux.ru> 1.1.2-alt1
- update to 1.1.2
- remove conflict with ipw2200
- Requires: kernel-modules-ieee80211
- remove all patchs
- fix spec

* Sat Jul 02 2005 Sergey Vlasov <vsu@altlinux.ru> 1.1.0-alt3
- Added:
  + ipw2100-1.1.0-kernel-2.6.12-compat.patch: fix compilation with 2.6.12

* Fri May 20 2005 Alexey Shabalin <shaba@altlinux.ru> 1.1.0-alt2
- fix spec for Kernel CVS  

* Sun May 15 2005 Alexey Shabalin <shaba@altlinux.ru> 1.1.0-alt1.8
- rebuild for 2.6.11-std26-alt8

* Thu Apr 28 2005 Alexey Shabalin <shaba@altlinux.ru> 1.1.0-alt1.6
- initial release
